Upstream information

CVE-2014-2039 at MITRE

Description

arch/s390/kernel/head64.S in the Linux kernel before 3.13.5 on the s390 platform does not properly handle attempted use of the linkage stack, which allows local users to cause a denial of service (system crash) by executing a crafted instruction.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.9
Vector AV:L/AC:L/Au:N/C:N/I:N/A:C
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Complete
SUSE Bugzilla entries: 862796 [VERIFIED], 865307 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP2-LTSS
  • kernel-default >= 3.0.101-0.7.19.1
  • kernel-default-base >= 3.0.101-0.7.19.1
  • kernel-default-devel >= 3.0.101-0.7.19.1
  • kernel-default-man >= 3.0.101-0.7.23.1
  • kernel-ec2 >= 3.0.101-0.7.19.1
  • kernel-ec2-base >= 3.0.101-0.7.19.1
  • kernel-ec2-devel >= 3.0.101-0.7.19.1
  • kernel-pae >= 3.0.101-0.7.23.1
  • kernel-pae-base >= 3.0.101-0.7.23.1
  • kernel-pae-devel >= 3.0.101-0.7.23.1
  • kernel-source >= 3.0.101-0.7.19.1
  • kernel-syms >= 3.0.101-0.7.19.1
  • kernel-trace >= 3.0.101-0.7.19.1
  • kernel-trace-base >= 3.0.101-0.7.19.1
  • kernel-trace-devel >= 3.0.101-0.7.19.1
  • kernel-xen >= 3.0.101-0.7.19.1
  • kernel-xen-base >= 3.0.101-0.7.19.1
  • kernel-xen-devel >= 3.0.101-0.7.19.1
  • xen-kmp-default >= 4.1.6_08_3.0.101_0.7.29-0.5.19
  • xen-kmp-pae >= 4.1.6_06_3.0.101_0.7.23-0.5.30
  • xen-kmp-trace >= 4.1.6_08_3.0.101_0.7.29-0.5.19
Patchnames:
slessp2-kernel
SUSE Linux Enterprise Server for SAP Applications 11 SP2-LTSS
  • kernel-default >= 3.0.101-0.7.19.1
  • kernel-default-base >= 3.0.101-0.7.19.1
  • kernel-default-devel >= 3.0.101-0.7.19.1
  • kernel-default-man >= 3.0.101-0.7.23.1
  • kernel-ec2 >= 3.0.101-0.7.19.1
  • kernel-ec2-base >= 3.0.101-0.7.19.1
  • kernel-ec2-devel >= 3.0.101-0.7.19.1
  • kernel-pae >= 3.0.101-0.7.23.1
  • kernel-pae-base >= 3.0.101-0.7.23.1
  • kernel-pae-devel >= 3.0.101-0.7.23.1
  • kernel-source >= 3.0.101-0.7.19.1
  • kernel-syms >= 3.0.101-0.7.19.1
  • kernel-trace >= 3.0.101-0.7.19.1
  • kernel-trace-base >= 3.0.101-0.7.19.1
  • kernel-trace-devel >= 3.0.101-0.7.19.1
  • kernel-xen >= 3.0.101-0.7.19.1
  • kernel-xen-base >= 3.0.101-0.7.19.1
  • kernel-xen-devel >= 3.0.101-0.7.19.1
  • xen-kmp-default >= 4.1.6_08_3.0.101_0.7.29-0.5.19
  • xen-kmp-pae >= 4.1.6_06_3.0.101_0.7.23-0.5.30
  • xen-kmp-trace >= 4.1.6_08_3.0.101_0.7.29-0.5.19
Patchnames:
slessp2-kernel
SUSE Linux Enterprise Server 11 SP2 LTSS
  • kernel-default >= 3.0.101-0.7.19.1
  • kernel-default-base >= 3.0.101-0.7.19.1
  • kernel-default-devel >= 3.0.101-0.7.19.1
  • kernel-ec2 >= 3.0.101-0.7.19.1
  • kernel-ec2-base >= 3.0.101-0.7.19.1
  • kernel-ec2-devel >= 3.0.101-0.7.19.1
  • kernel-pae >= 3.0.101-0.7.19.1
  • kernel-pae-base >= 3.0.101-0.7.19.1
  • kernel-pae-devel >= 3.0.101-0.7.19.1
  • kernel-source >= 3.0.101-0.7.19.1
  • kernel-syms >= 3.0.101-0.7.19.1
  • kernel-trace >= 3.0.101-0.7.19.1
  • kernel-trace-base >= 3.0.101-0.7.19.1
  • kernel-trace-devel >= 3.0.101-0.7.19.1
  • kernel-xen >= 3.0.101-0.7.19.1
  • kernel-xen-base >= 3.0.101-0.7.19.1
  • kernel-xen-devel >= 3.0.101-0.7.19.1
Builds
SAT Patch Nr: 9249
SLE 11 SERVER Unsupported Extras
  • kernel-default-extra >= 3.0.101-0.7.19.1
  • kernel-pae-extra >= 3.0.101-0.7.19.1
  • kernel-xen-extra >= 3.0.101-0.7.19.1
Builds
SAT Patch Nr: 9252
SUSE Linux Enterprise Server 11 SP2 LTSS
  • kernel-default >= 3.0.101-0.7.19.1
  • kernel-default-base >= 3.0.101-0.7.19.1
  • kernel-default-devel >= 3.0.101-0.7.19.1
  • kernel-default-man >= 3.0.101-0.7.19.1
  • kernel-source >= 3.0.101-0.7.19.1
  • kernel-syms >= 3.0.101-0.7.19.1
  • kernel-trace >= 3.0.101-0.7.19.1
  • kernel-trace-base >= 3.0.101-0.7.19.1
  • kernel-trace-devel >= 3.0.101-0.7.19.1
Builds
SAT Patch Nr: 9248
SLE 11 SERVER Unsupported Extras
  • kernel-default-extra >= 3.0.101-0.7.19.1
  • kernel-xen-extra >= 3.0.101-0.7.19.1
Builds
SAT Patch Nr: 9255
SLE 11 SERVER Unsupported Extras
  • kernel-default-extra >= 3.0.101-0.7.19.1
Builds
SAT Patch Nr: 9253
SUSE Linux Enterprise Server 11 SP2 LTSS
  • kernel-default >= 3.0.101-0.7.19.1
  • kernel-default-base >= 3.0.101-0.7.19.1
  • kernel-default-devel >= 3.0.101-0.7.19.1
  • kernel-ec2 >= 3.0.101-0.7.19.1
  • kernel-ec2-base >= 3.0.101-0.7.19.1
  • kernel-ec2-devel >= 3.0.101-0.7.19.1
  • kernel-source >= 3.0.101-0.7.19.1
  • kernel-syms >= 3.0.101-0.7.19.1
  • kernel-trace >= 3.0.101-0.7.19.1
  • kernel-trace-base >= 3.0.101-0.7.19.1
  • kernel-trace-devel >= 3.0.101-0.7.19.1
  • kernel-xen >= 3.0.101-0.7.19.1
  • kernel-xen-base >= 3.0.101-0.7.19.1
  • kernel-xen-devel >= 3.0.101-0.7.19.1
Builds
SAT Patch Nr: 9254


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP2 kernel-source Released
SUSE Linux Enterprise Desktop 11 SP3 kernel-source Released
SUSE Linux Enterprise Server 11 SP2 kernel-source Released
SUSE Linux Enterprise Server 11 SP2 LTSS kernel-source Released
SUSE Linux Enterprise Server 11 SP3 kernel-source Released
SUSE Linux Enterprise Server for VMWare 11 SP2 kernel-source Released
SUSE Linux Enterprise Server for VMWare 11 SP3 kernel-source Released